OpenVDB 12.1.0

Loading...
Searching...
No Matches
PointExecutable::CLI Struct Reference

Command Line Interface handling for the PointExecutable. More...

`#include <openvdb_ax/compiler/PointExecutable.h>`

## Public Member Functions
| ~CLI ()
| CLI (CLI &&)
CLI & | operator= (CLI &&)

## Static Public Member Functions
static CLI | create (size_t argc, const char *argv[], bool *used=nullptr)
static void | usage (std::ostream &os, const bool verbose)

## Friends
class | PointExecutable

## Detailed Description

Command Line Interface handling for the PointExecutable.

This class wraps the logic for converting commands specific to the PointExecutable to the internal Settings. Subsequent executables can be initialized from the CLI object that gets created

## Constructor & Destructor Documentation

## ◆ ~CLI()

~CLI | ( |  | ) |

## ◆ CLI()

CLI | ( | CLI && |  | ) |

## Member Function Documentation

## ◆ create()

CLI create | ( | size_t | argc,
|  | const char * | argv[],
|  | bool * | used = nullptr )
| static

## ◆ operator=()

CLI & operator= | ( | CLI && |  | ) |

## ◆ usage()

void usage | ( | std::ostream & | os,
|  | const bool | verbose )
| static

## Friends And Related Symbol Documentation

## ◆ PointExecutable

friend class PointExecutable
| friend